package ${basePackage}.module.system.ent;

import ${basePackage}.frame.base.BaseEntity;
import ${basePackage}.frame.excel.annotation.ColumnDescription;
import ${basePackage}.frame.excel.annotation.ColumnName;
import ${basePackage}.frame.excel.annotation.SheetName;

/**
 * LOG_ERR - 错误日志
 *
 * @author wangbing
 * @version 0.0.1
 * @since 2017-01-01
 */
@SheetName("错误日志")
public class LogErr extends BaseEntity {

    /**
     * LOG_ERR_TYPE - 错误类型
     */
    @ColumnName("错误类型")
    @ColumnDescription("")
    private String logErrType;
    /**
     * TITLE - 错误标题
     */
    @ColumnName("错误标题")
    @ColumnDescription("")
    private String title;
    /**
     * CONTENT - 错误内容
     */
    @ColumnName("错误内容")
    @ColumnDescription("")
    private String content;
    /**
     * LOG_ERR_RESULT - 处理结果
     */
    @ColumnName("处理结果")
    @ColumnDescription("")
    private String logErrResult;
    /**
     * ATTRIBUTE1 - 属性1
     */
    @ColumnName("属性1")
    @ColumnDescription("")
    private String attribute1;
    /**
     * ATTRIBUTE2 - 属性2
     */
    @ColumnName("属性2")
    @ColumnDescription("")
    private String attribute2;
    /**
     * ATTRIBUTE3 - 属性3
     */
    @ColumnName("属性3")
    @ColumnDescription("")
    private String attribute3;

    public String getLogErrType() {
        return this.logErrType;
    }

    public void setLogErrType(String logErrType) {
        this.logErrType = logErrType;
    }

    public String getTitle() {
        return this.title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getContent() {
        return this.content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public String getLogErrResult() {
        return this.logErrResult;
    }

    public void setLogErrResult(String logErrResult) {
        this.logErrResult = logErrResult;
    }

    public String getAttribute1() {
        return this.attribute1;
    }

    public void setAttribute1(String attribute1) {
        this.attribute1 = attribute1;
    }

    public String getAttribute2() {
        return this.attribute2;
    }

    public void setAttribute2(String attribute2) {
        this.attribute2 = attribute2;
    }

    public String getAttribute3() {
        return this.attribute3;
    }

    public void setAttribute3(String attribute3) {
        this.attribute3 = attribute3;
    }
}